variable "origins" {
  type = list(object({
    origin_type        = string   # "s3" or "api"
    origin_domain_name = string
    origin_id          = string

    bucket_id          = optional(string)
    bucket_arn         = optional(string)
  }))
}

variable "aliases" {
  type = list(string)
}

variable "acm_certificate_arn" {
  description = "ACM certificate ARN for custom aliases"
  type        = string
  default     = null
}